Subject: Re: bug#27736: OSX 10.6.8: Building from master branch fails.

From: Keith David Bershatsky <[email-masked]>
Date: Tue, 07 Nov 2017 21:18:44 -0800

Today, I went back in time using my saved undo history, but was unable to locate having tried a saved version of the file that used only (<= m -1034058203135).  What I found was a typographical error ... containing an extra digit.

I tried it tonight using only (<= m -1034058203135) and it is working.  So, I must assume that the error was on my end.  The saved undo history doesn't lie.  :)

Yes, let's go with just (<= m -1034058203135).

I apologize for the wild goose chase.

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DATE:  [11-07-2017 12:20:39] <07 Nov 2017 21:20:39 +0100>
FROM:  [email-masked] (Charles A. Roelli)
> 
> > Date:  Mon, 06 Nov 2017 18:13:28 -0800
> > From:  Keith David Bershatsky <[email-masked]>
> > 
> > Thank you Charles for working on this issue.  I was able to byte-compile org-timer.el successfully by using the following inside of org-clock.el at the same location you indicated:
> > 
> >   (or
> >     (<= m -1034058203136)
> >     (<= m -1034058203135))
> > 
> > I tried a few times with just (<= m -1034058203135), and it was not enough -- i.e., I was unable to byte-compile using only (<= m -1034058203135).
> > 
> > Keith
> 
> That's odd.  Compiling worked fine for me on any timezone with:
> 
>   rm -f lisp/org/org-{clock,timer}.elc && make
> 
> Can you try again, and if it still does not work, show a backtrace as
> before using just (<= m -1034058203135)?  Thanks for your patience.